# Module `DCSObject`

## Global(s)

Object |

## Type `Object`

Object.Category |
Object.Desc |
Object:destroy() |
Object:getCategory() |
Object:getDesc() | Returns object descriptor.
Object:getName() | Returns name of the object.
Object:getPoint() | Returns object coordinates for current time.
Object:getPosition() | Returns object position for current time.
Object:getTypeName() | Returns type name of the Object.
Object:getVelocity() | Returns the unit's velocity vector.
Object:hasAttribute(attributeName) | Returns true if the object belongs to the category.
Object:inAir() | Returns true if the unit is in air.
Object:isExist() |

## Type `Object.Category`

Object.Category.BASE |
Object.Category.SCENERY |
Object.Category.STATIC |
Object.Category.UNIT |
Object.Category.WEAPON |

## Type `Object.Desc`

Object.Desc.box | bounding box of collision geometry
Object.Desc.life | initial life level

## Global(s)

#Object Object

## Type `DCSObject`

## Type `AttributeName`

## Type `Box3`

## Type `Object`

### Field(s)

#Object.Category Object.Category

#Object.Desc Object.Desc

Object:destroy()

Object:getCategory()

  ### Return value

  #Object.Category:

Object:getDesc()

  Returns object descriptor.

  ### Return value

  #Object.Desc:

Object:getName()

  Returns name of the object.

  This is the name that is assigned to the object in the Mission Editor.

  ### Return value

  #string:

Object:getPoint()

  Returns object coordinates for current time.

  ### Return value

  #Vec3:

Object:getPosition()

  Returns object position for current time.

  ### Return value

  #Position3:

Object:getTypeName()

  Returns type name of the Object.

  ### Return value

  #string:

Object:getVelocity()

  Returns the unit's velocity vector.

  ### Return value

  #Vec3:

Object:hasAttribute(attributeName)

  Returns true if the object belongs to the category.

  ### Parameter

  - `#AttributeName attributeName` : Attribute name to check.

  ### Return value

  #boolean:

Object:inAir()

  Returns true if the unit is in air.

  ### Return value

  #boolean:

Object:isExist()

  ### Return value

  #boolean:

## Type `Object.Category`

### Field(s)

Object.Category.BASE

Object.Category.SCENERY

Object.Category.STATIC

Object.Category.UNIT

Object.Category.WEAPON

## Type `Object.Desc`

### Field(s)

#Box3 Object.Desc.box

  bounding box of collision geometry

#number Object.Desc.life

  initial life level

## Type `Position3`

## Type `Vec3`